Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Class DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.openjpa.lib.meta.XMLMetaDataParser
              org.apache.openjpa.lib.meta.CFMetaDataParser
                  kodo.jdo.JDOMetaDataParser
                      kodo.jdo.DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser

All Implemented Interfaces:
  org.apache.openjpa.lib.meta.MetaDataParser, org.apache.openjpa.meta.AbstractCFMetaDataFactory.Parser, org.apache.openjpa.meta.MetaDataModes, ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler

Enclosing class:
  DeprecatedJDOMetaDataFactory

    public static class DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser

extends kodo.jdo.JDOMetaDataParser

Parser that translates deprecated extensions into current equivalents.

Field Summary

Fields inherited from class kodo.jdo.JDOMetaDataParser
`CLASS_EXTENSIONS, DOCTYPE_DEC_JDO, DOCTYPE_DEC_QUERY, ELEM_ARRAY, ELEM_CLASS, ELEM_COLLECTION, ELEM_COLUMN, ELEM_DISCRIMINATOR, ELEM_ELEMENT, ELEM_EMBEDDED, ELEM_EXTENSION, ELEM_FG, ELEM_FG_FIELD, ELEM_FIELD, ELEM_FOREIGN_KEY, ELEM_IDENTITY, ELEM_IMPLEMENTS, ELEM_INCLUDED_FG, ELEM_INDEX, ELEM_INHERITANCE, ELEM_INTERFACE, ELEM_JOIN, ELEM_KEY, ELEM_MAP, ELEM_ORDER, ELEM_PROPERTY, ELEM_QUERY, ELEM_SEQUENCE, ELEM_SUPER_FIELD, ELEM_UNIQUE, ELEM_UNKNOWN, ELEM_VALUE, ELEM_VERSION, ELEMENT, EXT_DATA_CACHE, EXT_DATA_CACHE_TIMEOUT, EXT_DETACH_STATE_FIELD, EXT_EXTERNAL_VALUES, EXT_EXTERNALIZER, EXT_FACTORY, EXT_INVERSE, EXT_LRS, EXT_ORDER_BY, EXT_READ_ONLY, EXT_TYPE, FIELD_EXTENSIONS, KEY, KODO, SUFFIX_JDO, SUFFIX_ORM, SUFFIX_QUERY, VALUE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser(DeprecatedJDOMetaDataFactory factory, org.apache.openjpa.conf.OpenJPAConfiguration conf)`

Method Summary
`protected boolean` | `setKnownClassExtension(org.apache.openjpa.meta.ClassMetaData cls, String key, String value)`
`protected boolean` | `setKnownFieldExtension(org.apache.openjpa.meta.FieldMetaData fmd, String key, String value)`

Methods inherited from class kodo.jdo.JDOMetaDataParser
`classForName, currentElement, currentParentCode, endClass, endClassElement, endClassMapping, endCollectionElement, endColumn, endDatastoreIdentity, endDiscriminator, endEmbeddedMapping, endFieldMapping, endForeignKey, endImplements, endImplementsMapping, endImplProperty, endIndex, endInheritance, endJoin, endMapKey, endMapValue, endOrder, endPackageElement, endSequenceMapping, endSuperclassFieldMapping, endSystemElement, endUnique, endVersion, getConfiguration, getDocType, getElementCode, getEnvClassLoader, getMappingOverride, getMode, getPropertyType, getRepository, getSchemaSource, getTrackResults, isClassElementName, isMappingMode, isMappingOverrideMode, isMetaDataMode, isQueryMode, isRuntime, newResolver, popElement, pushElement, reset, resolveEntity, setEnvClassLoader, setKnownClassMappingExtension, setKnownFieldMappingExtension, setKnownMappingExtension, setMappingOverride, setMode, setMode, setRepository, setTrackResults, setUseSchemaValidation, startClass, startClassElement, startClassMapping, startCollectionElement, startColumn, startDatastoreIdentity, startDiscriminator, startEmbeddedMapping, startFieldMapping, startForeignKey, startImplements, startImplementsMapping, startImplProperty, startIndex, startInheritance, startJoin, startMapKey, startMapValue, startOrder, startPackageElement, startSequenceMapping, startSuperclassFieldMapping, startSystemElement, startUnique, startVersion, useSchemaValidation`

Methods inherited from class org.apache.openjpa.lib.meta.CFMetaDataParser
`classForName, currentClassName, currentPackage, endElement, endPackage, getClassAttributeName, getClassElementDepth, getPackageAttributeName, getPackageElementDepth, isPackageElementName, startElement, startPackage`

Methods inherited from class org.apache.openjpa.lib.meta.XMLMetaDataParser
`addComments, addResult, characters, clear, comment, currentClassLoader, currentComments, currentDepth, currentLocation, currentText, endCDATA, endDTD, endElement, endEntity, error, fatalError, finish, getClassLoader, getException, getException, getException, getLexicalHandler, getLocation, getLog, getParseComments, getParseText, getResults, getSourceFile, getSourceIsSystemId, getSourceName, getSuffix, ignoreContent, isCaching, isValidating, parse, parse, parse, parse, parse, parse, parsed, parseNewResource, setCaching, setClassLoader, setDocumentLocator, setLexicalHandler, setLocation, setLog, setParseComments, setParseText, setSourceIsSystemId, setSuffix, setValidating, startCDATA, startDTD, startElement, startEntity`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.meta.MetaDataParser
`clear, getResults, parse, parse, parse, parse, parse, parse, setClassLoader`

Constructor Detail

### DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser

    public DeprecatedJDOMetaDataFactory.ExtensionTranslatingParser(DeprecatedJDOMetaDataFactory factory,
                                                                   org.apache.openjpa.conf.OpenJPAConfiguration conf)

Method Detail

### setKnownClassExtension

    protected boolean setKnownClassExtension(org.apache.openjpa.meta.ClassMetaData cls,
                                             String key,
                                             String value)
                                      throws SAXException

  Overrides:
    `setKnownClassExtension` in class `kodo.jdo.JDOMetaDataParser`
  Throws:
    `SAXException`

### setKnownFieldExtension

    protected boolean setKnownFieldExtension(org.apache.openjpa.meta.FieldMetaData fmd,
                                             String key,
                                             String value)
                                      throws SAXException

  Overrides:
    `setKnownFieldExtension` in class `kodo.jdo.JDOMetaDataParser`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.